name: Section articles de blog
icon: layout-vertical-line
wysiwyg: true
preview: fields
tabs:
  content:
    label: Contenu
    fields:
      heading:
        label: Titre de la section
        type: writer
        default: Actualités
        marks:
          - bold
        nodes: false
        inline: true


      isCustomSelection:
        label: Sélection personnalisée
        type: toggle
        default: false
        help: >
          Si activé, vous pourrez choisir les articles à afficher

      articlesSelection:
        label: Articles à afficher
        type: pages
        multiple: true
        max: 3
        query: site.index.filterBy('intendedTemplate', 'blogitem')
        when:
          isCustomSelection: true

      buttonLabel:
        label: Label du bouton
        placeholder: Plus d'articles
        type: text

  settings: tabs/blocks-settings